@extends('layouts.idara.panel')


@section('content')

    @include('backend.partials.import')

    @include('backend.partials.features')

    <form action="{{ route('presentation') }}" method="post">
        <section>
            <div class="card mt-4">
                <h5 class="card-header">Présentation Tifawt</h5>
                <div class="card-body">
                    @if (count($errors) > 0)
                        <div class="alert alert-danger">
                            <strong>Whoops!</strong> Some problems with your input.<br><br>
                            <ul>
                                @foreach ($errors->all() as $error)
                                    <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                    @endif



                    @csrf
                    <div class="form-group">
                        <label for="exampleFormControlInput1" class="mb-3"><strong>Titre de la présentation</strong></label>

                        <input type="text" class="form-control" id="titre" name="titre" placeholder="titre"
                            value="{{ old('titre') }}" required>
                    </div>

                    <div class="form-group mt-4">
                        <label for="exampleFormControlTextarea1" class="mb-3"><strong>Resume</strong></label>
                        <textarea class="form-control" id="presentation" name="texte" rows="6" value="{{ old('texte') }}"></textarea>
                    </div>


                </div>
            </div>
        </section>


        <div class="card mt-4">
            <div class="card-header">
                Réferencement
            </div>
            <div class="card-body">
                <div class="form-group">
                    <label for="exampleFormControlInput1" class="mb-3"><strong>Titre(SEO)</strong></label>

                    <input type="text" class="form-control"  name="titre_seo" placeholder="..."
                        value="{{ old('titre_seo') }}">
                </div>
                <div class="form-group mt-4">
                    <label for="exampleFormControlInput1" class="mb-3"><strong>Resume(SEO)</strong></label>
                      <textarea name="resume_seo" id=""  style="width: 100%" rows="10" value="{{ old('resume_seo') }}"></textarea>

                </div>

                <div class="form-group mt-4">
                    <label for="exampleFormControlInput1" class="mb-3"><strong>Mot clé (SEO)</strong></label>

                    <input type="text" class="form-control"  name="mot_cle" placeholder="..."
                        value="{{ old('mot_cle') }}">
                </div>

            </div>
        </div>

        <div class="form-group mt-4 add" style="text-align:end">

            <button type="submit" class="btn btn-success" value="Ajouter">Ajouter</button>

        </div>
    </form>


    <style>
        .ck.ck-editor__main>.ck-editor__editable:not(.ck-focused) {
            border-color: var(--ck-color-base-border);
            height: 300px;
        }
    </style>
    @include('backend.partials.scriptIndex')


@endsection
